//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.7 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2018.01.18 at 08:34:08 PM CET 
//


package com.mk;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for transfer_model complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="transfer_model">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="destination_account" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="destination_name" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="cash_model" type="{http://mk.com}cash_model"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "transfer_model", propOrder = {
    "destinationAccount",
    "destinationName",
    "cashModel"
})
public class TransferModel {

    @XmlElement(name = "destination_account", required = true)
    protected String destinationAccount;
    @XmlElement(name = "destination_name", required = true)
    protected String destinationName;
    @XmlElement(name = "cash_model", required = true)
    protected CashModel cashModel;

    /**
     * Gets the value of the destinationAccount property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDestinationAccount() {
        return destinationAccount;
    }

    /**
     * Sets the value of the destinationAccount property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDestinationAccount(String value) {
        this.destinationAccount = value;
    }

    /**
     * Gets the value of the destinationName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDestinationName() {
        return destinationName;
    }

    /**
     * Sets the value of the destinationName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDestinationName(String value) {
        this.destinationName = value;
    }

    /**
     * Gets the value of the cashModel property.
     * 
     * @return
     *     possible object is
     *     {@link CashModel }
     *     
     */
    public CashModel getCashModel() {
        return cashModel;
    }

    /**
     * Sets the value of the cashModel property.
     * 
     * @param value
     *     allowed object is
     *     {@link CashModel }
     *     
     */
    public void setCashModel(CashModel value) {
        this.cashModel = value;
    }

}
